Bug 208054 - [patch] mail/mutt: add base64 option
Summary: [patch] mail/mutt: add base64 option
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Kurt Jaeger
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2016-03-16 07:37 UTC by Krzysztof
Modified: 2016-04-09 17:17 UTC (History)
2 users (show)

See Also:
Udo.Schweigert: maintainer-feedback+


Attachments
patch_mutt_forcebase64 (3.40 KB, text/plain)
2016-03-16 07:37 UTC, Krzysztof
no flags Details
patch_mutt_forcebase64-v2 (3.63 KB, patch)
2016-03-16 07:41 UTC, Krzysztof
no flags Details | Diff
new patch (3.17 KB, patch)
2016-03-31 20:33 UTC, Udo.Schweigert
Udo.Schweigert: maintainer-approval+
Details | Diff
poussiere log of the new patch (112.26 KB, text/plain)
2016-03-31 20:34 UTC, Udo.Schweigert
Udo.Schweigert: maintainer-approval+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Krzysztof 2016-03-16 07:37:15 UTC
Created attachment 168284 [details]
patch_mutt_forcebase64

I've found a little simple extra patch for mutt. With this patch every mail sent from mutt will be base64 encoded.

I've made a patch for mail/mutt which adds new options (off by default). I hope that someone will find it useful.

Patch was tested with podriere: https://rtm.bsdserwis.com/poudriere/data/a1amd64-testing/2016-03-15_14h18m48s/logs/mutt-1.5.24_5.log
Comment 1 Krzysztof 2016-03-16 07:41:04 UTC
Created attachment 168285 [details]
patch_mutt_forcebase64-v2

Of course there should be new PORTREVISION :-)))
Comment 2 Udo.Schweigert 2016-03-18 07:10:04 UTC
I'm OK with that. It can be committed after PR 207727 has been done. Of course the PORTREVISION would then have to been incremented again (to 7).
Comment 3 Udo.Schweigert 2016-03-18 07:14:25 UTC
Sorry, missed the logic with references to other PRs. So:

This can be committed after bug #207727
Comment 4 Dmitry Marakasov freebsd_committer 2016-03-31 13:18:48 UTC
The patch is broken (CRLF line terminators).
Comment 5 Udo.Schweigert 2016-03-31 20:33:10 UTC
Created attachment 168852 [details]
new patch

Here is a new version of the patch which should work.
Comment 6 Udo.Schweigert 2016-03-31 20:34:37 UTC
Created attachment 168853 [details]
poussiere log of the new patch
Comment 7 Udo.Schweigert 2016-03-31 20:35:53 UTC
Sorry the last comment was messed up by auto correction. Should have read "poudriere log"
Comment 8 Udo.Schweigert 2016-04-09 11:19:20 UTC
Please close this, as it will be handled as part of the mutt-1.6.0 upgrade in bug #208641.
Comment 9 commit-hook freebsd_committer 2016-04-09 17:03:08 UTC
A commit references this bug:

Author: pi
Date: Sat Apr  9 17:02:25 UTC 2016
New revision: 412853
URL: https://svnweb.freebsd.org/changeset/ports/412853

Log:
  mail/mutt: 1.5.24 -> 1.6.0

  Changes:
  - http://www.mutt.org/doc/UPDATING
  - added base64 option

  PR:		208641, 208054
  Submitted by:	Udo.Schweigert@siemens.com (maintainer), ports@bsdserwis.com

Changes:
  head/mail/mutt/Makefile
  head/mail/mutt/distinfo
  head/mail/mutt/files/extra-patch-forcebase64
  head/mail/mutt/files/extra-patch-forcebase64-nntp
  head/mail/mutt/files/extra-patch-sidebar
  head/mail/mutt/files/extra-patch-sidebar-nntp
  head/mail/mutt/files/extra-patch-signature-menu
  head/mail/mutt/files/extra-patch-trash-purge
  head/mail/mutt/files/patch-examples
Comment 10 Kurt Jaeger freebsd_committer 2016-04-09 17:17:57 UTC
Committed, thanks!